<template>
	<div>
        <v-container>
            <v-card>
                <v-card-title v-text="blog.title"></v-card-title>
                <v-img v-bind:src="blog.image"></v-img>
                <v-card-text v-text="blog.description"></v-card-text>
            </v-card>
        </v-container>
    </div>
</template>

<script>
export default {

	data:function(){
		return{
            title:'Data Blog',
            blog:[]
        }
    },
    methods:{
        async getBlog(id){
            try{
                let response = await axios.get(`/api/blog/${id}/show`)
                if(response.status==200){
                    let {data} = response.data
                    this.blog = data
                }
            }catch(e){
                let {response} = e.response
            }
        }           
    }
    ,created:function(){
        console.log('Blog required')
        let {blogId} = this.$router.currentRoute.params
        console.log(`Blog param from ${blogId}`)
        this.getBlog(blogId)
        
	}

}
</script>

<style>

</style>